<%@ Control Language="c#" AutoEventWireup="True" Codebehind="AnswerOptionControl.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.AnswerOptionControl"
	TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="uc1" TagName="AnswerSkipLogicConditonsControl" Src="AnswerSkipLogicConditionsControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="AnswerConditions" Src="AnswerConditions.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register src="RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script type="text/javascript">

	var postbackElement,
		answerId = <%=AnswerId %>,
		answerTypeId = <%=AnswerTypeRow.Visible ? AnswerTypeDropDownList.SelectedValue : AnswerTypeId.Value%>;

	var layoutTab = 1,
		validatorTab = 2,
		extendedTab = 3,
		connectionTab = 4,
		closeDialog = false;

	Sys.Application.add_load(setupAnswerTypeMode);	        
	
	Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(beginRequest);
	Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(onLoadedHandler);	        
	
	// Setup current interface state on first load
	// based on the answer type mode
	function setupAnswerTypeMode(sender, args) 
	{ 
		if (typeof(postbackElement) == "undefined") 
		{
			if (answerId == -1)
			{
				setupUIstate(DataIllusion.FeedbackServer.Data.AnswerTypeMode.Selection);
			}
			else
			{
				DataIllusion.FeedbackServer.Services.Web.Admin.AnswersService.
					GetAnswerTypeMode(answerId, onSucceeded, onFailed, "GetAnswerTypeMode");
			}
		}
	}
	
	function onLoadedHandler(sender,args)
	{	
		if (closeDialog)
		{
			parent.getFormEditor().selectedElement.onPropertiesUpdatedCallBack(false,true);
		}
		else
		{
			if (typeof(postbackElement) != "undefined" && 
				postbackElement.id == '<%=UpdateAnswerButton.ClientID%>')
			{
				if ($get('<%=AnswerTypeDropDownList.ClientID%>'))
				{
    				answerTypeId = $get('<%=AnswerTypeDropDownList.ClientID%>').value;
				}
				else if ($get('<%=AnswerTypeId.ClientID%>'))
				{
    				answerTypeId = $get('<%=AnswerTypeId.ClientID%>').value;
				}
				
				DataIllusion.FeedbackServer.Services.Web.Admin.AnswersService.
					GetTypeMode(answerTypeId, onSucceeded, onFailed, "OnLoadedHandler");
			}
			
			resizeContainer($find('<%=AnswerTabs.ClientID%>'));
		}
	}


	// Refresh interface state based on the 
	// newly selected type mode
	function beginRequest(sender, args) 
	{
		if (closeDialog)
		{
			parent.getFormEditor().selectedElement.onPropertiesUpdatedCallBack(false,true);
		}
		else
		{
			postbackElement = args.get_postBackElement();
			if (postbackElement.id == '<%=AnswerTypeDropDownList.ClientID%>')
			{
				DataIllusion.FeedbackServer.Services.Web.Admin.AnswersService.
					GetTypeMode(postbackElement.value, onSucceeded, onFailed, "GetTypeMode");
			}
		}
	}

	// Show / hide answer properties tab 
	// based on the current answer type mode
	function setupUIstate(answerTypeMode)
	{			
		var isSelectionType = ((answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Selection) > 0),
			
			isFieldType = ((answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Field) > 0) ||
				((answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Custom) > 0) ||
				((answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.DataSource) > 0),
			
			isSubscriber = (answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Subscriber) > 0,
			isExtended = (answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.ExtendedType) > 0,
			isCustomType = (answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Custom) > 0,
			isDataSource = (answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.DataSource) > 0,
			isFileUpload = (answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Upload) > 0;

		toggleHidden(validatorTab, (!isSelectionType && 
				(isFieldType || isDataSource || isFileUpload || isExtended || isCustomType)) ||  (isSelectionType && isFieldType));

		toggleHidden(layoutTab, ((answerTypeMode & DataIllusion.FeedbackServer.Data.AnswerTypeMode.Field) > 0));
		
		if (answerId != -1)
		{
			toggleHidden(extendedTab, isExtended);
			
			if (isSubscriber && $get('<%=AnswerTypeDropDownList.ClientID%>') && answerTypeId == $get('<%=AnswerTypeDropDownList.ClientID%>').value)
			{
				toggleHidden(connectionTab, true);
			}
			else
			{
				toggleHidden(connectionTab, false);
			}
		}
	}
	
	function onSucceeded(result, methodName) 
	{
		setupUIstate(result);
	}

	function onFailed(error, userContext, methodName) 
	{
		if(error !== null) 
		{
			alert("An error occurred: " + 
				error.get_message());
		}
	}
	
	// Show / hide the tab
	function toggleHidden(tabIndex, show) 
	{
		$find('<%=AnswerTabs.ClientID%>').get_tabs()[tabIndex].set_enabled(show);
	}
	
	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=AnswerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
	
	function tabLoaded(sender, args)
	{
		// fixes a nasty IE bug when running control in the form builder
		<%=AnswerFormId != null ? "if (sender.get_activeTabIndex() == 0 && document.getElementById('"+ReportingAliasTextBox.ClientID+"')) {document.getElementById('"+ReportingAliasTextBox.ClientID+"').focus();document.getElementById('"+ReportingAliasTextBox.ClientID+"').blur();}" : "" %>
		resizeContainer(sender, args)
	}
	
	function switchToMetaDataTab()
	{
		var ctrl = $find('<%=AnswerTabs.ClientID%>'),
			tabs = ctrl.get_tabs();
		ctrl.set_activeTab(tabs[tabs.length-1]);
	}	
		
</script>


<asp:PlaceHolder ID="AnswerPropertiesTitlePlaceHolder" runat="server">

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Answer_types/Answer_types.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="EditAnswerTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

</asp:PlaceHolder>


                <asp:UpdatePanel RenderMode="Inline" ID="MessageUpdatePanel" runat="server" ><ContentTemplate>
                <asp:Label ID="MessageLabel" Visible="false" ForeColor="Green" runat="server"></asp:Label>
                </ContentTemplate>
</asp:UpdatePanel>	<table>
	                <tr>
		                <td>
			                &nbsp;&nbsp;
		                </td>
		                <td width="99%">
    <ajaxToolkit:TabContainer runat="server" ID="AnswerTabs" ActiveTabIndex="0" Height="250px" Width="100%" OnClientTabLoaded="tabLoaded" OnClientActiveTabChanged="resizeContainer">
            <ajaxToolkit:TabPanel  runat="server" ID="AnswerPropertiesTab"  HeaderText="Properties">
                <ContentTemplate>
                <asp:UpdatePanel  ID="PageUpdatePanel" runat="server" >
                <ContentTemplate>
                 <table class="settingsTable">
	                <tr>
		                <td>
			                <table>
								<tr id="EditionLanguageRow" runat="server" >
									<td nowrap class="labelStyle">
										<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal></td>
									<td>
										<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
										</asp:DropDownList></td>
								</tr>

				                <tr id="AnswerTextRow" runat="server">
					                <td nowrap class="labelStyle">
							                <asp:Literal ID="AnswerTextLabel" runat="server" EnableViewState="False" Text="Answer text :"></asp:Literal>
							        </td>
					                <td width="99%" >
						                <asp:TextBox ID="AnswerTextTextBox" Columns="40" runat="server"></asp:TextBox><img id="PipeImage"
							                onclick="" src="../images/pipetags.gif" runat="server"></td>
				                </tr>
				                <tr id="AnswerImageRow" runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="AnswerURLLabel" runat="server" EnableViewState="False" Text="Image URL :"></asp:Literal></td>
					                <td>
						                <asp:TextBox Columns="40" ID="AnswerImageURLTextBox" MaxLength="255" runat="server"></asp:TextBox><img id="GalleryImage" onclick="" runat="server"></td>
				                </tr>
				                <tr id="RichAnswerTextRow" runat="server">
				                <td colspan="2">
							      <uc1:RichTextBox id=RichAnswerText ToolbarLayout="FSDefault" runat="server" Width="600" Height="250"></uc1:RichTextBox>
				                </td>
				                </tr>
				                
				                <tr id="AnswerTypeRow" runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="AnswerTypeLabel" runat="server" EnableViewState="False" Text="Type :"></asp:Literal>
					                </td>
					                <td width="99%">
					                    <asp:DropDownList ID="AnswerTypeDropDownList" runat="server" AutoPostBack="True"
							                    OnSelectedIndexChanged="AnswerTypeDropDownList_SelectedIndexChanged">
						                </asp:DropDownList>
						            </td>
				                </tr>
				                <tr id="RespondentBehaviorRow" runat="server">
					                <td nowrap class="labelStyle" ><asp:Literal ID="RespondentBehaviorLabel" runat="server" EnableViewState="true" Text="Respondent display behavior :"></asp:Literal></td>
					                <td ><asp:DropDownList ID="RespondentBehaviorDropDownList" runat="server"></asp:DropDownList></td>
				                </tr>
				                <tr id="SelectedAnswerRow" Visible="False"  runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="SelectedAnswersLabel" runat="server" EnableViewState="False"
								                Text="Selected by default :"></asp:Literal></td>
					                <td><asp:CheckBox ID="SelectionCheckBox"  runat="server"></asp:CheckBox></td>
				                </tr>
				                <tr id="DefaultTextBoxRow" runat="server" Visible="False">
					                <td  class="labelStyle"><asp:Literal ID="DefaultTextLabel" runat="server" EnableViewState="False"
								                Text="Default text value :"></asp:Literal></td>
					                <td valign="top"><asp:TextBox Columns="40" ID="DefaultTextTextBox" runat="server"></asp:TextBox><img
							                id="DefaultPipeImage" onclick="" src="../images/pipetags.gif" runat="server"><img
							                id="MathImage" onclick="" src="../images/mathicon.gif" runat="server"></td>
				                </tr>
				                <tr id="WaterMarkRow" runat="server" Visible="False">
					                <td  class="labelStyle"><asp:Literal ID="WatermarkLabel" runat="server" EnableViewState="False"
								                Text="Watermark text value :"></asp:Literal></td>
					                <td><asp:TextBox Columns="40" ID="WaterMarkTextBox" runat="server"></asp:TextBox><img
							                id="WatermarkImage" onclick="" src="../images/pipetags.gif" runat="server"></td>
				                </tr>
				                <tr id="AnswerPipeRow" runat="server">
					                <td nowrap  class="labelStyle"><asp:Literal ID="AnswerPipeAliasLabel"  runat="server" EnableViewState="False" Text="Pipe alias :"></asp:Literal></td>
					                <td >
						                <asp:TextBox Columns="40" ID="AnswerPipeAliasTextBox" MaxLength="1024" runat="server"></asp:TextBox></td>
				                </tr>
				                <tr id="ReportingAliasRow" runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="ReportingAliasLabel" runat="server" EnableViewState="False" Text="Reporting alias :"></asp:Literal></td>
					                <td >
						                <asp:TextBox Columns="40" ID="ReportingAliasTextBox" MaxLength="1024" runat="server"></asp:TextBox></td>
				                </tr>
				                <tr id="ScoreRow" runat="server" Visible="False" >
					                <td nowrap class="labelStyle"><asp:Literal ID="ScoreLabel" runat="server" EnableViewState="False"
								                Text="Score :"></asp:Literal></td>
					                <td>
						                <asp:TextBox ID="ScoreTextBox" runat="server" Columns="20"></asp:TextBox></td>
				                </tr>
				                <tr id="ExtendedRow" runat="server" visible="false">
					                <td nowrap class="labelStyle"><asp:Literal ID="IsExtendFilterLabel" runat="server" EnableViewState="False"
								                Text="Extended report filter :"></asp:Literal></td>
					                <td><asp:CheckBox ID="IsExtendedFilterCheckbox" runat="server"></asp:CheckBox></td>
				                </tr>
				                <tr id="FixedDisplayOrderRow" runat="server" visible="false">
					                <td nowrap class="labelStyle">
                						
							                <asp:Literal ID="FixedDisplayOrderLabel" runat="server" EnableViewState="False"
								                Text="Fixed display order :"></asp:Literal></td>
					                <td>
						                <asp:CheckBox ID="FixedDisplayOrderCheckbox" runat="server"></asp:CheckBox></td>
				                </tr>
				                <tr id="AnswerRatingRow" runat="server" visible="false">
					                <td nowrap class="labelStyle"><asp:Literal ID="AnswerRatingLabel" runat="server" EnableViewState="False"
								                Text="Rating part :"></asp:Literal></td>
					                <td><asp:TextBox ID="RatingWeightTextBox" runat="server" Columns="4"></asp:TextBox></td>
				                </tr>
			                </table>
		                </td>
	                </tr>
                </table>
                        </ContentTemplate>
                    </asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 


                </ContentTemplate>
            </ajaxToolkit:TabPanel>

            <ajaxToolkit:TabPanel runat="server" ID="LayoutTab" HeaderText="" >
                <ContentTemplate>
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" >
                <ContentTemplate>
                 <table  class="settingsTable">
						<tr>
							<td><table>
<!--
				                <tr id="SelectionOffImageRow" runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="SelectionOffImageLabel" runat="server" EnableViewState="False" Text=""></asp:Literal></td>
					                <td>
						                <asp:TextBox Columns="40" ID="SelectionOffImageTextBox" MaxLength="255" runat="server"></asp:TextBox><img id="SelectionOffImageButton" onclick="" runat="server"></td>
				                </tr>
				                <tr id="SelectionOnImageRow" runat="server">
					                <td nowrap class="labelStyle"><asp:Literal ID="SelectionOnImageLabel" runat="server" EnableViewState="False" Text=""></asp:Literal></td>
					                <td>
						                <asp:TextBox Columns="40" ID="SelectionOnImageTextBox" MaxLength="255" runat="server"></asp:TextBox><img id="SelectionOnImageButton" onclick="" runat="server"></td>
				                </tr>
				                -->
								<tr id="FieldWidthRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="FieldWidthLabel" EnableViewState="False" runat="server"></asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="FieldWidthTextBox" runat="server" Columns="3"></asp:TextBox></td>
												</tr>
												
								<tr id="FieldHeightRow" runat="server">
													<td nowrap class="labelStyle">
															<asp:Literal ID="FieldHeightLabel" EnableViewState="False" runat="server"></asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="FieldHeightTextBox" runat="server" Columns="3"></asp:TextBox></td>
												</tr>												
							</table>


					</td></tr></table>

                        </ContentTemplate>
						    
					</asp:UpdatePanel>            
                </ContentTemplate>
            </ajaxToolkit:TabPanel>
            
            <ajaxToolkit:TabPanel runat="server" ID="AnswerValidationTab" HeaderText="Entry Validation" >
                <ContentTemplate>
                <asp:UpdatePanel ID="ValidationUpdatePanel" runat="server" >
                <ContentTemplate>

                 <table  class="settingsTable">
						<tr>
							<td><table>
									<tr id="MandatoryRow" runat="server" visible="false">
										<td nowrap class="labelStyle">
												<asp:Literal ID="MandatoryLabel" runat="server" EnableViewState="False"
													Text="Mandatory :"></asp:Literal></td>
										<td width="99%">
											<asp:CheckBox ID="MandatoryCheckBox" runat="server"></asp:CheckBox></td>
									</tr>
									<tr id="UniqueAnswerRow" runat="server" visible="false">
										<td nowrap class="labelStyle">
												<asp:Literal ID="UniqueAnswerLabel" runat="server" EnableViewState="False"
													Text=""></asp:Literal></td>
										<td width="99%">
											<asp:CheckBox ID="UniqueAnswerCheckBox" runat="server"></asp:CheckBox></td>
									</tr>

											<tr id="RegExRow" runat="server" visible="false">
										<td nowrap class="labelStyle">
											
												<asp:Literal ID="RegExValidationLabel" runat="server" EnableViewState="False"
													Text="RegEx validation :"></asp:Literal></td>
										<td>
											<asp:DropDownList ID="RegExDropDownList" runat="server">
											</asp:DropDownList></td>
									</tr>
												<tr id="FielLengthRow" runat="server">
													<td nowrap class="labelStyle">
														
															<asp:Literal ID="FieldLengthLabel" EnableViewState="False" runat="server">Field max. length 
								:</asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="FieldMaxLengthTextBox" runat="server" Columns="3">1000</asp:TextBox></td>
												</tr>
										<tr>
											<td valign="top" nowrap class="labelStyle">
												
													<asp:Literal ID="ValidatorLabel" runat="server" EnableViewState="False" Text="Entry validators :"></asp:Literal></td>
											<td>
														<asp:DropDownList ID="AvailableValidatorListBox" runat="server"></asp:DropDownList>
											</td>
										</tr>
										<tr id="EntryMaskRow" runat="server">
											<td valign="top" nowrap class="labelStyle">
												
													<asp:Literal ID="EntryMaskLabel" runat="server" EnableViewState="False" Text="Entry masks :"></asp:Literal></td>
											<td>
														<asp:DropDownList ID="EntryMaskDropDownList" runat="server"></asp:DropDownList>
											</td>
										</tr>
							</table>

					</td></tr></table>
<input type="hidden" runat="server" id="AnswerTypeId" />
                        </ContentTemplate>
						    
					</asp:UpdatePanel>            
                </ContentTemplate>
            </ajaxToolkit:TabPanel>
        
            <ajaxToolkit:TabPanel runat="server" ID="ExtendePropertiesTab" HeaderText="Extended Properties">
                <ContentTemplate>
                <asp:UpdatePanel ID="ExtendedUpdatePanel" runat="server" >
                <ContentTemplate>

					<table class="settingsTable">
						<tr>
							<td width="99%"><asp:PlaceHolder ID="ExtendedPropertiesPlaceholder" Visible="False" runat="server"></asp:PlaceHolder>
					</td></tr></table>
	            </ContentTemplate>
				</asp:UpdatePanel>            

                </ContentTemplate>
            </ajaxToolkit:TabPanel>

            <ajaxToolkit:TabPanel runat="server" ID="ConnectionsTabPanel" HeaderText="Connections">
                <ContentTemplate>
                <asp:UpdatePanel ID="ConnectionsUpdatePanel" runat="server" >
                <ContentTemplate>

                 <table  class="settingsTable">
	                <tr>
		                <td>
			                <table>
				                <tr>
						                <td valign="top" nowrap class="labelStyle">
                							
								                <asp:Literal ID="ConnectionLabel" runat="server" EnableViewState="False" Text="Connections :"></asp:Literal></td>
						                <td>
							                <table class="smallText">
								                <tr>
									                <td nowrap class="labelStyle">
										                <asp:Literal ID="AnswerPublishersLabel" runat="server" EnableViewState="False" Text="Answer publishers"></asp:Literal></td>
									                <td>
									                </td>
									                <td nowrap class="labelStyle">
										                <asp:Literal ID="AnswerSubscribedLabel" runat="server" EnableViewState="False" Text="Subscribed to :"></asp:Literal></td>
								                </tr>
								                <tr>
									                <td>
										                <asp:ListBox ID="AvailablePublishersListBox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="AvailablePublishersListBox_SelectedIndexChanged" Rows="10">
										                </asp:ListBox></td>
									                <td>
										                &lt;&lt;<br>
										                &gt;&gt;</td>
									                <td>
										                <asp:ListBox ID="SubscribedListbox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="SubscribedListbox_SelectedIndexChanged" Rows="10">
										                </asp:ListBox></td>
								                </tr>
							                </table>
						                </td>
					                </tr>				                
				                
				                </table></td></tr></table>


	            </ContentTemplate>
				</asp:UpdatePanel>            

                </ContentTemplate>
            </ajaxToolkit:TabPanel>          

            <ajaxToolkit:TabPanel runat="server" ID="SkipLogicTab" HeaderText="Skip Logic">
                <ContentTemplate>
	                <asp:UpdatePanel ID="AnswerConditionsUpdatePanel" runat="server" >
                <ContentTemplate>
                <uc1:AnswerConditions ID="AnswerConditionsControl" runat="server" />
                </ContentTemplate>
				</asp:UpdatePanel>
                </ContentTemplate>
            </ajaxToolkit:TabPanel>

				<ajaxToolkit:TabPanel runat="server" ID="MetaDataTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel2" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
								<tr>
								<td>
								<uc1:MetaValues ID="MetaValuesControl" runat="server" />
								</td>
								</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
           
        </ajaxToolkit:TabContainer>
        
        
                <asp:UpdatePanel ID="ButtonsUpdatePanel" runat="server" >
                <ContentTemplate>
				<table>
					<tr>
						<td>
							<asp:Button ID="UpdateAnswerButton" runat="server" Text="Update" OnClick="UpdateAnswerButton_Click">
							</asp:Button><asp:Button ID="AddAnswerButton" runat="server" Text="Add answer" OnClick="AddAnswerButton_Click">
							</asp:Button><asp:Button ID="DeleteAnswerButton" runat="server" Text="Delete" OnClick="DeleteAnswerButton_Click">
							</asp:Button><asp:Button ID="CancelAnswerButton" runat="server" Text="Cancel" OnClick="CancelAnswerButton_Click">
							</asp:Button>
							<asp:Button ID="QuickTranslateButton" runat="server" Text="Quick Translate" OnClick="QuickTranslateButton_Click">
							</asp:Button>
				</td></tr></table>
				</ContentTemplate></asp:UpdatePanel>

</td></tr></table>


<asp:PlaceHolder ID="QuickAddPlaceHolder" runat="server">
<asp:UpdatePanel ID="QuickAddUpdatePanel" runat="server" >
<ContentTemplate>

<br />
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Answer_types/Answer_types.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="QuickAnswerAddTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td>
				<table>
					<tr>
						<td>
							<table  border="0">
								<tr>
									<td valign="top" nowrap class="labelStyle" colspan="2">
										<asp:Literal ID="AnswersListLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
									</td>
								<tr>
								<td colspan="2" valign="top">
										<asp:TextBox ID="QuickAnswersTextBox" runat="server" Columns="80" Rows="15" TextMode="MultiLine"></asp:TextBox><br /><br />
									</td>
								</tr>
								<tr>
									<td nowrap class="labelStyle">
										<asp:Literal ID="QuickAnswerTypeLabel" runat="server" EnableViewState="False" Text="Type :"></asp:Literal>
									</td>
									<td width="99%">
										<asp:DropDownList ID="QuickAddAnswerTypeDropDownList" runat="server">
										</asp:DropDownList>
									</td>
								</tr>

								<tr>
									<td  colspan="2">
									<br />	<asp:Button ID="QuickAddAnswersButton" runat="server" Text="" OnClick="QuickAddAnswerButton_Click" />
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</ContentTemplate></asp:UpdatePanel>
           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="QuickAddUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
</asp:PlaceHolder>

